<?php
/**
 * @package Statiny addon
 * @copyright Copyright 2016 Statiny bot
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 */

if (!empty($_REQUEST['action']) && !empty($_REQUEST['cID']) && $_SERVER['REQUEST_METHOD'] == 'POST')
{
    function asyncReq($url, $params)
    {
        foreach ($params as $key => &$val)
        {
            if (is_array($val))
                $val = implode(',', $val);

            $post_params[] = $key.'='.urlencode($val);
        }

        $post_string = implode('&', $post_params);

        $parts = parse_url($url);

        $fp = fsockopen($parts['host'], isset($parts['port'])?$parts['port']:80, $errno, $errstr, 30);

        $out = "POST ".$parts['path']." HTTP/1.1\r\n";
        $out.= "Host: ".$parts['host']."\r\n";
        $out.= "Content-Type: application/x-www-form-urlencoded\r\n";
        $out.= "Content-Length: ".strlen($post_string)."\r\n";
        $out.= "Connection: Close\r\n\r\n";

        if (isset($post_string))
            $out.= $post_string;

        fwrite($fp, $out);
        fclose($fp);
    }

	$result = $db->Execute("select * from " . TABLE_CONFIGURATION . " where configuration_id=" . (int)$_REQUEST['cID'] . " LIMIT 1");

	if (!empty($result->fields) && $result->fields['configuration_key'] == 'STATINY_API_KEY' && !empty($result->fields['configuration_value']))
	{
		// default currency
		$currency_default_sql = $db->Execute("select * from " . TABLE_CONFIGURATION . " where configuration_key='DEFAULT_CURRENCY' LIMIT 1");
		$currency_default = $currency_default_sql->fields['configuration_value'];

        asyncReq(
            'http://api.statiny.com/' . 'validate_key',
            array (
                'data' => json_encode(array(
                    'key'	   => $result->fields['configuration_value'],
                    'host'	   => $_SERVER['http_host'],
					'platform' => 'zencart',
					'currency' => $currency_default,
                ))
            )
        );
	}
}